input TodoActionAttributionInput {
  id: ID
  idAction: ID!
  idUserSource: ID!
  idUserDestination: ID!
  isRemoved: Boolean
  codeMaj: String
}

type Mutation {
  createUpdateTodoActionAttribution(input: TodoActionAttributionInput!): TodoActionAttribution!
  softDeleteTodoActionAttributions(ids: [ID!]!): [TodoActionAttribution!]!
}

type Query {
  todoActionAttribution(id: ID!): TodoActionAttribution
  todoActionAttributions(isRemoved: Boolean): [TodoActionAttribution!]!
}

type TodoActionAttribution {
  id: ID!
  action: Action!
  userSource: User!
  userDestination: User!
  isRemoved: Boolean
  codeMaj: String
  userCreation: User
  userModification: User
  dateCreation: DateTime!
  dateModification: DateTime!
}
